import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { AvatarStyle, FileUploadError } from '../../avatar.models';
export declare class AvatarComponent implements OnInit {
    enableUpload: boolean;
    size: number;
    source: string;
    alt: string;
    sideMargin: number;
    background: string;
    color: string;
    text: string;
    avatarStyle: AvatarStyle;
    fontSize: number;
    showBorder: boolean;
    fileSelected: EventEmitter<File>;
    uploadError: EventEmitter<FileUploadError>;
    fileSelectDialog: ElementRef;
    private _availableUploadFormats;
    constructor();
    ngOnInit(): void;
    get imageUploaderBorderRadius(): string;
    get imageUploaderHeight(): string;
    get margin(): string;
    get border(): string;
    get grayStyles(): {
        '-webkit-filter': string;
        filter: string;
    } | {
        '-webkit-filter'?: undefined;
        filter?: undefined;
    };
    get getFontSize(): string;
    getMonogram(): string;
    getSizePx(): string;
    openFileDialog(): void;
    onFileSelected($event: any): void;
}
